# BasePluginExtension

API Documentation: | `BasePluginExtension`

An extension used for `BasePlugin`.

Replaces `BasePluginConvention`.

### Properties

Property | Description
`archivesName` | The base name to use for archive files.
`distsDirectory` | The directory to generate TAR and ZIP archives into.
`libsDirectory` | The directory to generate JAR and WAR archives into.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``Property`<`String`>` `archivesName`

The base name to use for archive files.

Default with `java` plugin:
  `project.name`

#### `DirectoryProperty` `distsDirectory`

The directory to generate TAR and ZIP archives into.

Default with `java` plugin:
  ``${project.buildDir}`/distributions`

#### `DirectoryProperty` `libsDirectory`

The directory to generate JAR and WAR archives into.

Default with `java` plugin:
  ``${project.buildDir}`/libs`